Summary:	CUPS Driver Development Kit
Name:		cupsddk
Version:	1.1
Release:	%mkrel 0.270.3
License:	GPL
Group:		Development/C

#Source:		ftp://ftp.easysw.com/pub/%{name}/%{version}/%{name}-%{version}-source.tar.bz2
Source:		ftp://ftp.easysw.com/pub/%{name}/%{version}/%{name}-%{version}-rev270.tar.bz2

Url:		http://www.cups.org/ddk.php
BuildRoot:	%_tmppath/%name-%version-%release-root
Requires:	cups >= 1.2.0, %{mklibname cups 2} >= 1.2.0,
Requires:	libcups-devel >= 1.2.0 cupsddk-drivers
%ifarch x86_64
BuildRequires:	libcups-devel >= 1.2.0-0.5361.0mdk
%else
BuildRequires:	libcups-devel >= 1.2.0
%endif
BuildRequires:	cups-common

%description

The CUPS Driver Development Kit (DDK) provides a suite of standard
drivers, a PPD file compiler, and other utilities that can be used to
develop printer drivers for CUPS and other printing environments. CUPS
provides a portable printing layer for UNIX-based operating
systems. The CUPS DDK provides the means for mass-producing PPD files
and drivers/filters for CUPS-based printer drivers.

%package drivers
Summary:	CUPS DDK - Printer drivers
Group:		Publishing
Requires: 	cups >= 1.2.0, ghostscript >= 7.05
%ifarch x86_64
Conflicts:	cups < 1.2.0-0.5361.0mdk
%endif

%description drivers
The CUPS DDK drivers provide support for all HP PCL/RTL and Epson
ESC/P2 devices.

PPD files for these drivers can be generated with the CUPS DDK or
downloaded from the driver section of http://www.cups.org/.

%prep

#setup -q
%setup -q -n %{name}

%build

%configure

%make

%install
rm -rf %buildroot
#makeinstall
make install BUILDROOT=$RPM_BUILD_ROOT
	     LOGDIR=$RPM_BUILD_ROOT%{_var}/log/cups \
             REQUESTS=$RPM_BUILD_ROOT%{_var}/spool/cups \
             SERVERROOT=$RPM_BUILD_ROOT%{_sysconfdir}/cups \
             AMANDIR=$RPM_BUILD_ROOT%{_mandir} \
             PMANDIR=$RPM_BUILD_ROOT%{_mandir} \
             MANDIR=$RPM_BUILD_ROOT%{_mandir} \
             PAMDIR=$RPM_BUILD_ROOT%{_sysconfdir}/pam.d \
             BINDIR=$RPM_BUILD_ROOT%{_bindir} \
             SBINDIR=$RPM_BUILD_ROOT%{_sbindir} \
             INITDIR=$RPM_BUILD_ROOT%{_sysconfdir} \
             DOCDIR=$RPM_BUILD_ROOT%{_defaultdocdir}/ \
             CHOWN=/bin/echo

# Add files proposed to be in the package according the file
# packaging/cupsddk.list
cp cups/cupsprofile.ppm %buildroot%{_datadir}/%{name}
ln -s %{_prefix}/lib/cups/filter/rastertoescpx %buildroot%{_prefix}/lib/cups/filter/rastertoescpx2
ln -s %{_prefix}/lib/cups/filter/rastertopclx %buildroot%{_prefix}/lib/cups/filter/rastertopclx2
install -d %buildroot%{_libdir}
cp cups/libcupsdriver.a %buildroot%{_libdir}
cp doc/cupsddk.html doc/cupsddk.pdf %buildroot%{_defaultdocdir}/%{name}
install -d %buildroot%{_defaultdocdir}/%{name}/images
cp doc/images/*.png %buildroot%{_defaultdocdir}/%{name}/images
#ln -s %{_mandir}/man1/rastertoescpx.1.gz %buildroot%{_mandir}/man1/rastertoescpx2.1.gz
#ln -s %{_mandir}/man1/rastertopclx.1.gz %buildroot%{_mandir}/man1/rastertopclx2.1.gz

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc README.txt LICENSE.txt CHANGES.txt FAQ.txt CREDITS.txt
%{_bindir}/*
%{_libdir}/*.a
%{_includedir}/cups/*
%{_datadir}/%{name}
%{_defaultdocdir}/%{name}
%{_mandir}/*/ppd*
%{_mandir}/*/cupsp*

%files drivers
%defattr(-,root,root)
%{_prefix}/lib/cups/filter/*
%{_mandir}/man1/commandto*
%{_mandir}/man1/rasterto*



%changelog
* Fri Jun 30 2006 Stefan van der Eijk <stefan@eijk.nu> 1.1-0.270.3
- libgnutls rebuild
- BuildRequires: cups-common

* Mon Apr  3 2006 Till Kamppeter <till@mandriva.com> 1.1-0.270.2mdk
- Conflict against too old CUPS versions must be done with "cups"
  and not with "cups-common".

* Mon Apr  3 2006 Till Kamppeter <till@mandriva.com> 1.1-0.270.1mdk
- Updated to SVN revision 270.
- Moved CUPS filter directory from /usr/lib64/cups/filter to
  /usr/lib/cups/filter on 64-bit systems.

* Sat Feb 25 2006 Till Kamppeter <till@mandriva.com> 1.1-0.268.4mdk
- Split package into developer part ("cupsddk") and driver part
  ("cupsddk-drivers").
- Added the HTML and PDF manuals.
- Added several other files not included by "make install".

* Wed Jan 18 2006 Till Kamppeter <till@mandriva.com> 1.1-0.268.3mdk
- Added "Requires: %%{mklibname cups 2} >= 1.2.0", it should work also 
  for 64-bit installation.

* Wed Jan 18 2006 Till Kamppeter <till@mandriva.com> 1.1-0.268.2mdk
- Removed "Requires: libcups2 >= 1.2.0", it breaks 64-bit installation.

* Thu Jan  5 2006 Till Kamppeter <till@mandriva.com> 1.1-0.268.1mdk
- Updated to SVN revision 268 (Fixed compatibility to CUPS 1.2).

* Mon Nov 14 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-2mdk
- rebuilt against openssl-0.9.8a

* Wed Jul 13 2005 Till Kamppeter <till@mandrakesoft.com> 1.0.1-1mdk
- Updated to version 1.0.1.

* Fri Jul 23 2004 Till Kamppeter <till@mandrakesoft.com> 1.0-1mdk
- initial release.
